/* index.html */
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    margin: 0;
    padding: 0;
}

/*  */
.navbar{
    width: 100%;
    background-color: #ffe5d9;
    display: flex;
    align-items: flex-start;
    padding: 10px 20px;
}

.nav-logo{
    width: 120px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.logo{
    width: 100px;
    height: 100px;
    border-radius: 50%;
    object-fit: cover;
    display: block;
}

.logo:hover{
    /*  */
    border: 10px solid #0F766E;
}

.content-logo{
    margin-top: 8px;

    /*  */
    color: #374151;
    font-size: 24px;
    font-family: "Times New Roman", serif;
    font-weight: bold;
}

.nav-introtext{
    flex: 1;
    text-align: center;
    margin-top: 10px;
}

.nav-introtext p{
    /*  */
    color: black;
    font-size: 22px;
    font-family: "Times New Roman", serif;
    font-weight: bold;
}

.nav-menu{
    margin-top: 15px;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 25px;
}

.nav-menu a{
    text-decoration: none;
    /*  */
    color: #374151;
    font-size: 18px;
    font-weight: bold;
    padding: 8px 12px;
    transition: 0.3s;
}

.nav-menu a:hover{
    
    background-color: #0F766E;
    color: white;
    border-radius: 5px;
}

@media (max-width:768px){

    .navbar{
        flex-direction: column;
        align-items: center;
    }

    .nav-introtext{
        margin-top: 15px;
    }

    .nav-introtext p{
        font-size: 18px;
    }

    .content-logo{
        font-size: 20px;
    }

    .nav-menu{
        gap: 15px;
    }

    .logo{
        width: 80px;
        height: 80px;
    }
}


.line2{
    /*  */
    background-color: #d8e2dc;
    display: flex;
    justify-content: center;
    margin: 0;
    padding: 20px 0;
    border-radius: 10px;

}
.line2 h2{
    color: #374151;
    text-align: center;
    transition: 0.3s;
    text-decoration: none;
    font-size: 22px;
     font-family: "Times New Roman", serif;
     font-weight: bold;
     margin: 0;
}

.line2 p{
    text-align: center;
    color: #374151;
    text-decoration: none;
    font-size: 18px;
    transition: 0.3s;
    margin: 0;
}

.line2 h2:hover{
        background-color: #0F766E;
    color: white;
    border-radius: 5px;
}

.line2 p:hover{
        background-color: #0F766E;
    color: white;
    border-radius: 5px;
}

.hero-section{
    width: 100%;
    height: 350px;
    background-image: url("photos/realbackimg.jpg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    display: flex;
    justify-content: center;
    align-items: flex-end;
}

.hero-section{
    width:100%;
    height:700px;
    background-image:url("photos/realbackimg.jpg");
    background-size:cover;
    background-position:center;
}


@media(max-width:768px){
    .hero-section{
        height:350px;
    }
}



.hero-msg{
    background-color: white ;
    color: #0F1111;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 80%;
}
.hero-msg p{
    font-family: "Playfair Display", serif; 
    text-align: center; 
    font-size: 0.85rem; 
}

.hero-msg{
    animation: float 3s ease-in-out infinite;
}

@keyframes float{
    0%{
        transform: translateY(0);
    }
    50%{
        transform: translateY(-10px);
    }
    100%{
        transform: translateY(0);
    }
}



/* hero message for mobile edit  */
@media (max-width:768px){

    .hero-msg{
        width: 85%;
        padding: 6px 10px;
    }

    .hero-msg p{
        font-size: 13px;
        line-height: 1.2;
    }

}


/* shop section */
/* SHOP SECTION */

/* SHOP SECTION */

.shop-section{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    padding: 20px;
    background: #e2e7e6;
}

.box{
    background: #fff;
    border-radius: 10px;
    padding: 15px;
    min-height: auto;
    text-align: center;
    box-shadow: 0 2px 8px rgba(0,0,0,0.15);
    transition: transform 0.3s ease,box-shadow 0.3s ease;
}

.box:hover{
    transform: scale(0.97);
    box-shadow: 0 10px 20px;
}

.box-content{
    display: flex;
    flex-direction: column;
}

.box h2{
    margin-bottom: 15px;
    font-size: 24px;
}

.box-img{
    width: 100%;
    height: 300px;
    overflow: hidden;
    border-radius: 8px;
}

.box-img img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.anchor-edit{
    margin-top: 15px;
}

.anchor-edit a{
    text-decoration: none;
    color: #007185;
    font-size: 18px;
    font-weight: bold;
}

.anchor-edit a:hover{
    color: #0056b3;
}




/* Tablet */

@media (max-width:992px){

    .shop-section{
        grid-template-columns: repeat(2,1fr);
    }

    .box-img{
        height:250px;
    }
}




/* Mobile */
@media (max-width:768px){

    .shop-section{
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 10px;
        padding: 10px;
    }

    .box{
        padding: 10px;
        min-height: auto;
    }

    .box-img{
        height: 150px;
    }

    .box h2{
        font-size: 16px;
        margin-bottom: 8px;
    }

    .anchor-edit{
        margin-top: 6px;
    }

    .anchor-edit a{
        font-size: 14px;
    }
}


/* animation for shop section*/
/* Your existing CSS above */


/* Floating animation */

.box{
    animation: float 3s ease-in-out infinite;
}

@keyframes float{
    0%,100%{
        transform: translateY(0);
    }
    50%{
        transform: translateY(-8px);
    }
}


/* footer */
.footer{
    margin-top: 15px;
}




.foot-panel1{
    background-color:#37475a;
    color: white;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 0.5rem;
}

.foot-panel1 a{
    color: white;
    text-decoration: none;
    transition: 0.3s;
}


.foot-panel1 a:hover{
    background-color: #adb5bd;
    color: #d6d6d6;
    border-radius: 5px;

}


/* FOOTER */
.foot-panel2{
    background: #222f3d;
    color: #fff;
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
    padding: 50px 25px;
    gap: 35px;
    border-bottom: 0.5px solid white;
}

.foot-panel2 ul{
    list-style: none;
    min-width: 200px;
}

.foot-panel2 ul p{
    color: #D4AF37;
    font-size: 22px;
    font-weight: bold;
    margin-bottom: 15px;
    text-transform: uppercase;
    letter-spacing: 1px;
}

.foot-panel2 ul a{
    display: block;
    color: #d6d6d6;
    text-decoration: none;
    font-size: 16px;
    margin: 10px 0;
    transition: .3s;
}

.foot-panel2 ul a:hover{
    color: #D4AF37;
    padding-left: 8px;
}

/* Mobile */
@media (max-width:768px){

    .foot-panel2{
        display:grid;
        grid-template-columns:1fr 1fr; /* Two cards in one row */
        gap:15px;
        padding:20px 15px;
    }

    .foot-panel2 ul{
        background:#34495e;
        border-radius:15px;
        padding:15px;
        margin:0;
        min-width:0;
    }

    .foot-panel2 ul p{
        font-size:18px;
        color:#D4AF37;
        margin-bottom:10px;
        border-bottom:2px solid #D4AF37;
        padding-bottom:6px;
    }

    .foot-panel2 ul a{
        font-size:13px;
        margin:6px 0;
    }
}


.foot-panel3{
  
    
    background-color: #222f3d;
    color: white;
    height: 70px;
    text-align: center;

}

.foot-panel3 a{
    font-size: 0.8rem;
}
.copyright{
    text-align: center;
}

/* end of index.html */




/* ===== PERFUME BANNER ===== */

.perfume-banner{
    border-bottom: 2px solid wheat;
    position: relative;
    width: 100%;
    overflow: hidden;
}

.perfume-banner img{
    width: 100%;
    display: block;
}

.view-btn1{
    position: absolute;
    right: 8%;
    top: 70%;
    transform: translateY(-50%);
    background: #00c8c8;
    color: #fff;
    text-decoration: none;
    padding: 12px 30px;
    border-radius: 8px;
    font-size: 10px;
    font-weight: bold;
    transition: all 0.3s ease;
}

.view-btn1:hover{
    background: #00ff99;
    color: #000;
    transform: translateY(-50%) scale(1.08);
    box-shadow: 0 0 15px #00ff99;
}

@media (max-width:768px){

    .view-btn1{
        right: 7%;
        top: 70%;
        padding: 8px 18px;
        font-size: 1x;
    }

}



/* clothes banner */

.clothes-banner{
    border-bottom: 2px solid wheat;
    position: relative;
    width: 100%;
    overflow: hidden;
}

.clothes-banner img{
    width: 100%;
    display: block;
}

.view-btn2{
    position: absolute;
    right: 8%;
    top: 70%;
    transform: translateY(-50%);
    background: #00c8c8;
    color: #fff;
    text-decoration: none;
    padding: 12px 30px;
    border-radius: 8px;
    font-size: 10px;
    font-weight: bold;
    transition: all 0.3s ease;
}

.view-btn2:hover{
    background: #00ff99;
    color: #000;
    transform: translateY(-50%) scale(1.08);
    box-shadow: 0 0 15px #00ff99;
}

@media (max-width:768px){

    .view-btn2{
        right: 7%;
        top: 70%;
        padding: 8px 18px;
        font-size: 1x;
    }

}




/* cosmetics banner */

.cosmetics-banner{
    border-bottom: 2px solid wheat;
    position: relative;
    width: 100%;
    overflow: hidden;
}

.cosmetics-banner img{
    width: 100%;
    display: block;
}

.view-btn3{
    position: absolute;
    right: 8%;
    top: 70%;
    transform: translateY(-50%);
    background: #00c8c8;
    color: #fff;
    text-decoration: none;
    padding: 12px 30px;
    border-radius: 8px;
    font-size: 10px;
    font-weight: bold;
    transition: all 0.3s ease;
}

.view-btn3:hover{
    background: #00ff99;
    color: #000;
    transform: translateY(-50%) scale(1.08);
    box-shadow: 0 0 15px #00ff99;
}

@media (max-width:768px){

    .view-btn3{
        right: 7%;
        top: 70%;
        padding: 8px 18px;
        font-size: 1x;
    }

}





/* electronics banner */
.electronics-banner{
    border-bottom: 2px solid wheat;
    position: relative;
    width: 100%;
    overflow: hidden;
}

.electronics-banner img{
    width: 100%;
    display: block;
}

.view-btn4{
    position: absolute;
    right: 8%;
    top: 70%;
    transform: translateY(-50%);
    background: #00c8c8;
    color: #fff;
    text-decoration: none;
    padding: 12px 30px;
    border-radius: 8px;
    font-size: 10px;
    font-weight: bold;
    transition: all 0.3s ease;
}

.view-btn4:hover{
    background: #00ff99;
    color: #000;
    transform: translateY(-50%) scale(1.08);
    box-shadow: 0 0 15px #00ff99;
}

@media (max-width:768px){

    .view-btn4{
        right: 7%;
        top: 70%;
        padding: 8px 18px;
        font-size: 1x;
    }

}




/* watches banner */
.watches-banner{
    border-bottom: 2px solid wheat;
    position: relative;
    width: 100%;
    overflow: hidden;
}

.watches-banner img{
    width: 100%;
    display: block;
}

.view-btn5{
    position: absolute;
    right: 8%;
    top: 70%;
    transform: translateY(-50%);
    background: #00c8c8;
    color: #fff;
    text-decoration: none;
    padding: 12px 30px;
    border-radius: 8px;
    font-size: 10px;
    font-weight: bold;
    transition: all 0.3s ease;
}

.view-btn5:hover{
    background: #00ff99;
    color: #000;
    transform: translateY(-50%) scale(1.08);
    box-shadow: 0 0 15px #00ff99;
}


@media (max-width:768px){

    .view-btn5{
        right: 7%;
        top: 70%;
        padding: 8px 18px;
        font-size: 1x;
    }

}




/* jewellery banner */
.jewellery-banner{
    border-bottom: 2px solid wheat;
    position: relative;
    width: 100%;
    overflow: hidden;
}

.jewellery-banner img{
    width: 100%;
    display: block;
}

.view-btn6{
    position: absolute;
    right: 8%;
    top: 70%;
    transform: translateY(-50%);
    background: #00c8c8;
    color: #fff;
    text-decoration: none;
    padding: 12px 30px;
    border-radius: 8px;
    font-size: 10px;
    font-weight: bold;
    transition: all 0.3s ease;
}

.view-btn6:hover{
    background: #00ff99;
    color: #000;
    transform: translateY(-50%) scale(1.08);
    box-shadow: 0 0 15px #00ff99;
}


@media (max-width:768px){

    .view-btn6{
        right: 7%;
        top: 70%;
        padding: 8px 18px;
        font-size: 1x;
    }

}


/* bags banner */
/* watches banner */
.bags-banner{
    border-bottom: 2px solid wheat;
    position: relative;
    width: 100%;
    overflow: hidden;
}

.bags-banner img{
    width: 100%;
    display: block;
}

.view-btn7{
    position: absolute;
    right: 8%;
    top: 70%;
    transform: translateY(-50%);
    background: #00c8c8;
    color: #fff;
    text-decoration: none;
    padding: 12px 30px;
    border-radius: 8px;
    font-size: 10px;
    font-weight: bold;
    transition: all 0.3s ease;
}

.view-btn7:hover{
    background: #00ff99;
    color: #000;
    transform: translateY(-50%) scale(1.08);
    box-shadow: 0 0 15px #00ff99;
}


@media (max-width:768px){

    .view-btn7{
        right: 7%;
        top: 70%;
        padding: 8px 18px;
        font-size: 1x;
    }

}





















/* extra work of js */
.perfume-banner,
.clothes-banner,
.cosmetics-banner,
.electronics-banner,
.watches-banner{
    opacity: 0;
    transform: translateY(80px);
    transition: all 0.8s ease;
}

.show{
    opacity: 1;
    transform: translateY(0);
}

/* end of java */



/* about us page css */


.about-box{
    width: 85%;
    margin: 50px auto;
    display: flex;
    flex-direction: column;
    gap: 20px;
}


.about-card{
    background: #fffaf0;
    border: 1px solid #e6c56a;
    border-radius: 15px;
    padding: 25px;
    display: flex;
    align-items: center;
    gap: 25px;
    box-shadow: 0 5px 15px rgba(0,0,0,0.08);
    transition: 0.3s ease;
    cursor: pointer;
}


/* Hover effect for PC */
.about-card:hover{
    transform: translateY(-8px);
    box-shadow: 0 12px 25px rgba(0,0,0,0.18);
    border-color: #c89b3c;
}


/* Icon circle */
.icon{
    min-width: 70px;
    height: 70px;
    background: #f5d78e;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}


/* Font Awesome icons */
.icon i{
    font-size: 30px;
    color: #111;
}


/* Heading */
.about-card h2{
    font-size: 28px;
    color: #111;
    margin-bottom: 10px;
    font-family: Georgia, serif;
}


/* Paragraph */
.about-card p{
    font-size: 17px;
    color: #333;
    line-height: 1.6;
}


/* Lists */
.about-card ul{
    display: flex;
    flex-wrap: wrap;
    gap: 15px 40px;
    padding-left: 20px;
}


.about-card li{
    font-size: 17px;
    color: #333;
}


/* Mobile Design */
@media(max-width:600px){

    .about-box{
        width: 92%;
        margin: 30px auto;
        gap: 15px;
    }


    .about-card{
        padding: 20px;
        flex-direction: column;
        text-align: center;
        gap: 15px;
        border-radius: 12px;
    }


    /* Tap effect on phone */
    .about-card:active{
        transform: scale(0.97);
    }


    .icon{
        width: 60px;
        height: 60px;
    }


    .icon i{
        font-size: 25px;
    }


    .about-card h2{
        font-size: 23px;
    }


    .about-card p{
        font-size: 15px;
    }


    .about-card ul{
        display: block;
        text-align: left;
        padding-left: 20px;
    }


    .about-card li{
        font-size: 15px;
        margin-bottom: 8px;
    }

}



/* extra work of javasript */
.about-card{
    opacity: 0;
    transform: translateY(50px);
    transition: 0.8s ease;
}


.about-card.show{
    opacity: 1;
    transform: translateY(0);
}


/* Different delay for each box */
.about-card:nth-child(1){
    transition-delay: 0.1s;
}

.about-card:nth-child(2){
    transition-delay: 0.2s;
}

.about-card:nth-child(3){
    transition-delay: 0.3s;
}

.about-card:nth-child(4){
    transition-delay: 0.4s;
}

.about-card:nth-child(5){
    transition-delay: 0.5s;
}

/* end of javascript */



/* css of contact us */
.contact-page{
    background:#fff7f2;
    padding:40px 10%;
}


.contact-card{
    background:white;
    padding:30px;
    margin:30px auto;
    max-width:750px;
    border-radius:20px;
    text-align:center;
    box-shadow:0 10px 25px rgba(0,0,0,.1);
}


.contact-card h2{
    color:#b8860b;
}


.contact-card p{
    color:#555;
}


.contact-social{
    display:flex;
    align-items:center;
    gap:15px;
    padding:15px;
    margin:15px 0;
    background:#fff5f5;
    border-radius:15px;
}


.contact-social i{
    font-size:28px;
}


.contact-social span{
    flex:1;
    text-align:left;
}


.contact-social a{
    padding:8px 15px;
    border-radius:20px;
    text-decoration:none;
    color:white;
}


.whatsapp i,
.whatsapp a{
    color:#25D366;
}

.whatsapp a{
    background:#25D366;
    color:white;
}


.snapchat i{
    color:#f5d900;
}

.snapchat a{
    background:#f5d900;
    color:black;
}


.instagram i{
    color:#e1306c;
}

.instagram a{
    background:#e1306c;
}


.tiktok i{
    color:black;
}

.tiktok a{
    background:black;
}


.email i{
    color:#ea4335;
}

.email a{
    background:#ea4335;
}


.contact-social:hover{
    transform:translateY(-5px);
    transition:.3s;
}


@media(max-width:600px){

.contact-page{
    padding:20px 5%;
}


.contact-social{
    flex-wrap:wrap;
}


.contact-social a{
    width:100%;
    text-align:center;
}

}




/* java script for contact us */
.contact-card,
.about-card{

    opacity:0;
    transform: translateY(40px);
    filter: blur(8px);
    transition: 1s ease;

}


.contact-card.show,
.about-card.show{

    opacity:1;
    transform:translateY(0);
    filter:blur(0);

}


/* Hover luxury effect */

.contact-card:hover,
.about-card:hover{

    transform:translateY(-10px);
    box-shadow:0 20px 40px rgba(212,175,55,0.25);

}



/* Home page animations */

.navbar,
.line2,
.hero-msg,
.box{
    opacity:0;
    transform:translateY(40px);
    transition:all .8s ease;
}

.navbar.show,
.line2.show,
.hero-msg.show,
.box.show{
    opacity:1;
    transform:translateY(0);
}




/* testing .css */








/* button 7 for jewellery banners and so on  */
.rings-banner{
    border-bottom: 2px solid wheat;
    position: relative;
    width: 100%;
    overflow: hidden;
}

.rings-banner img{
    width: 100%;
    display: block;
}

.view-btn7{
    position: absolute;
    right: 8%;
    top: 70%;
    transform: translateY(-50%);
    background: #00c8c8;
    color: #fff;
    text-decoration: none;
    padding: 12px 30px;
    border-radius: 8px;
    font-size: 10px;
    font-weight: bold;
    transition: all 0.3s ease;
}

.view-btn7:hover{
    background: #00ff99;
    color: #000;
    transform: translateY(-50%) scale(1.08);
    box-shadow: 0 0 15px #00ff99;
}

@media (max-width:768px){

    .view-btn7{
        right: 7%;
        top: 70%;
        padding: 8px 18px;
        font-size: 1x;
    }

}







.earrings-banner{
    border-bottom: 2px solid wheat;
    position: relative;
    width: 100%;
    overflow: hidden;
}

.earrings-banner img{
    width: 100%;
    display: block;
}

.view-btn8{
    position: absolute;
    right: 8%;
    top: 70%;
    transform: translateY(-50%);
    background: #00c8c8;
    color: #fff;
    text-decoration: none;
    padding: 12px 30px;
    border-radius: 8px;
    font-size: 10px;
    font-weight: bold;
    transition: all 0.3s ease;
}

.view-btn8:hover{
    background: #00ff99;
    color: #000;
    transform: translateY(-50%) scale(1.08);
    box-shadow: 0 0 15px #00ff99;
}

@media (max-width:768px){

    .view-btn8{
        right: 7%;
        top: 70%;
        padding: 8px 18px;
        font-size: 1x;
    }

}










.necklaces-banner{
    border-bottom: 2px solid wheat;
    position: relative;
    width: 100%;
    overflow: hidden;
}

.necklaces-banner img{
    width: 100%;
    display: block;
}

.view-btn9{
    position: absolute;
    right: 8%;
    top: 70%;
    transform: translateY(-50%);
    background: #00c8c8;
    color: #fff;
    text-decoration: none;
    padding: 12px 30px;
    border-radius: 8px;
    font-size: 10px;
    font-weight: bold;
    transition: all 0.3s ease;
}

.view-btn9:hover{
    background: #00ff99;
    color: #000;
    transform: translateY(-50%) scale(1.08);
    box-shadow: 0 0 15px #00ff99;
}

@media (max-width:768px){

    .view-btn9{
        right: 7%;
        top: 70%;
        padding: 8px 18px;
        font-size: 1x;
    }

}











.bracelet-banner{
    border-bottom: 2px solid wheat;
    position: relative;
    width: 100%;
    overflow: hidden;
}

.bracelet-banner img{
    width: 100%;
    display: block;
}

.view-btn10{
    position: absolute;
    right: 8%;
    top: 70%;
    transform: translateY(-50%);
    background: #00c8c8;
    color: #fff;
    text-decoration: none;
    padding: 12px 30px;
    border-radius: 8px;
    font-size: 10px;
    font-weight: bold;
    transition: all 0.3s ease;
}

.view-btn10:hover{
    background: #00ff99;
    color: #000;
    transform: translateY(-50%) scale(1.08);
    box-shadow: 0 0 15px #00ff99;
}

@media (max-width:768px){

    .view-btn10{
        right: 7%;
        top: 70%;
        padding: 8px 18px;
        font-size: 1x;
    }

}





.ancklet-banner{
    border-bottom: 2px solid wheat;
    position: relative;
    width: 100%;
    overflow: hidden;
}

.ancklet-banner img{
    width: 100%;
    display: block;
}

.view-btn11{
    position: absolute;
    right: 8%;
    top: 70%;
    transform: translateY(-50%);
    background: #00c8c8;
    color: #fff;
    text-decoration: none;
    padding: 12px 30px;
    border-radius: 8px;
    font-size: 10px;
    font-weight: bold;
    transition: all 0.3s ease;
}

.view-btn11:hover{
    background: #00ff99;
    color: #000;
    transform: translateY(-50%) scale(1.08);
    box-shadow: 0 0 15px #00ff99;
}

@media (max-width:768px){

    .view-btn11{
        right: 7%;
        top: 70%;
        padding: 8px 18px;
        font-size: 1x;
    }

}


































